(function(Drupal, Swiper){
  Drupal.behaviors.views_style_swiper_style = {
    attach: function(context, drupalSettings) {
      // Do nothing if we have no settings to work on
      if(!('viewsStyleSwiperStyle' in drupalSettings)) return;

      for(var dom_id in drupalSettings.viewsStyleSwiperStyle) {
        var elements = context.getElementsByClassName('js-view-dom-id-' + dom_id);

        // Do nohing if we cant find any interesting elements in the context
        if(!elements.length) continue;

        // initialize the swiper
        new Swiper (elements, drupalSettings.viewsStyleSwiperStyle[dom_id]);
      }
    }
  };
})(Drupal, Swiper);
